# tree< T, tree_node_allocator >::iterator_base Class Reference

Inheritance diagram for tree< T, tree_node_allocator >::iterator_base:

## Detailed Description

### template<class T, class tree_node_allocator = std::allocator<tree_node_<T> >>
class tree< T, tree_node_allocator >::iterator_base

Base class for iterators, only pointers stored, no traversal logic.

Definition at line 126 of file tree.hh.

The documentation for this class was generated from the following file:

- tree.hh